package com.muyu.task.server.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.muyu.common.core.domain.Result;
import com.muyu.common.domian.req.TaskInfoListReq;
import com.muyu.common.domian.resp.TaskInfoResp;
import com.muyu.task.server.service.TaskInfoService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("taskInfo")
@Tag(name = "任务控制层", description = "进行任务管理查询操作")
public class TaskInfoController {

    @Autowired
    private TaskInfoService taskInfoService;

    /**
     * 获取所有的任务信息
     * @param req
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "查看任务", description = "根据任务名称 权重 状态 查询")
    public Result<Page<TaskInfoResp>> selectList(TaskInfoListReq req) {
        return Result.success(taskInfoService.selectList(req));
    }




}
